> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # AddAdminRole POST https://api.voximplant.com/platform_api/AddAdminRole Adds a new admin role. **Example request:** Add a new admin role with the GetAccountInfo and GetCallHistory permissions. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/admin-roles/add-admin-role ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `admin_role_name` (string, required) — The admin role name. The length must be less than 50 - `admin_role_active` (boolean, optional, default: true) — Whether the admin role is enabled. If false the allowed and denied entries have no affect - `like_admin_role_id` (list of integer, optional) — The admin role ID list separated by semicolons (;). Use the 'all' value to select all admin roles. The list specifies the roles from which the new role automatically copies all permissions (allowed_entries and denied_entries) - `like_admin_role_name` (list of string, optional) — The admin role name that can be used instead of **like_admin_role_id**. The name specifies a role from which the new role automatically copies all permissions (allowed_entries and denied_entries) - `allowed_entries` (list of string, optional) — The list of allowed access entries separated by semicolons (;) (the API function names) - `denied_entries` (list of string, optional) — The list of denied access entries separated by semicolons (;) (the API function names) ## Response ### 200 Successful response - `result` (integer, optional) — Returns 1 if the request has been completed successfully - `admin_role_id` (integer, optional) — The new admin role ID ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1, "admin_role_id": 42 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/AddAdminRole" querystring = {"admin_role_name":"Support Manager","admin_role_active":"true","allowed_entries":"[\"GetAccountInfo\",\"GetCallHistory\"]","denied_entries":"[]"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/AddAdminRole?admin_role_name=Support+Manager&admin_role_active=true&allowed_entries=%5B%22GetAccountInfo%22%2C%22GetCallHistory%22%5D&denied_entries=%5B%5D'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/AddAdminRole?admin_role_name=Support+Manager&admin_role_active=true&allowed_entries=%5B%22GetAccountInfo%22%2C%22GetCallHistory%22%5D&denied_entries=%5B%5D" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/AddAdminRole?admin_role_name=Support+Manager&admin_role_active=true&allowed_entries=%5B%22GetAccountInfo%22%2C%22GetCallHistory%22%5D&denied_entries=%5B%5D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/AddAdminRole?admin_role_name=Support+Manager&admin_role_active=true&allowed_entries=%5B%22GetAccountInfo%22%2C%22GetCallHistory%22%5D&denied_entries=%5B%5D") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/AddAdminRole?admin_role_name=Support+Manager&admin_role_active=true&allowed_entries=%5B%22GetAccountInfo%22%2C%22GetCallHistory%22%5D&denied_entries=%5B%5D', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/AddAdminRole?admin_role_name=Support+Manager&admin_role_active=true&allowed_entries=%5B%22GetAccountInfo%22%2C%22GetCallHistory%22%5D&denied_entries=%5B%5D"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/AddAdminRole?admin_role_name=Support+Manager&admin_role_active=true&allowed_entries=%5B%22GetAccountInfo%22%2C%22GetCallHistory%22%5D&denied_entries=%5B%5D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```